<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        >
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="#fff"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/height"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView14"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="身高cm"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:id="@+id/main_middle"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="131dp"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/age"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView16"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="年龄"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/weight"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView18"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="体重kg"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/peaceHr"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView20"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="静息心率"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
        <LinearLayout
            android:id="@+id/contectPart"
            android:layout_width="wrap_content"
            android:layout_height="49dp"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/chain"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center"
                android:gravity="center"
                android:src="@drawable/chain" />

            <TextView
                android:id="@+id/unchain"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginLeft="15dp"
                android:gravity="center"
                android:text="心率带未连接"
                android:textColor="#FF4040"
                android:textSize="14dp" />

            <Button
                android:id="@+id/chainBtn"
                android:layout_width="90dp"
                android:layout_height="24dp"
                android:layout_gravity="center"
                android:layout_marginLeft="15dp"
                android:layout_weight="1"
                android:background="@drawable/btn_contect"
                android:baselineAligned="false"
                android:text="点击连接" />
        </LinearLayout>
        <LinearLayout
            android:id="@+id/main_bottom"
            android:layout_width="match_parent"
            android:layout_height="98dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:background="#fff"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="86dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/fire"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/icon_sport" />

                    <TextView
                        android:id="@+id/calNum"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />

                    <View
                        android:layout_width="1dip"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="#E2E2E2" />
                </LinearLayout>

                <TextView
                    android:id="@+id/caltext"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="卡路里"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/redfire"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/icon_redsport" />

                    <TextView
                        android:id="@+id/sportNum"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />

                    <View
                        android:layout_width="1dip"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="#E2E2E2" />
                </LinearLayout>

                <TextView
                    android:id="@+id/sportText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="运动卡路里"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="89dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="10"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/ckIcon"
                        android:layout_width="110dp"
                        android:layout_height="22dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/ck" />

                    <TextView
                        android:id="@+id/ckNum"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />
                </LinearLayout>

                <TextView
                    android:id="@+id/textView11"
                    android:layout_width="match_parent"
                    android:layout_height="20dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="CK"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />
            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:background="#fff"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_stop"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/gary_btn"
                android:gravity="center"
                android:textColor="@color/red"
                android:text="停止运动" />

            <Button
                android:id="@+id/beginBtn"
                android:layout_width="210dp"
                android:layout_height="30dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/round_btn"
                android:gravity="center"
                android:text="开始运动"
                android:textColor="@color/green" />

            <Button
                android:id="@+id/reportHr"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_marginRight="20dp"
                android:background="@drawable/gary_btn"
                android:gravity="center"
                android:text="心率上报"
                android:textColor="#fff" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>